let layer = null;
//JavaScript代码区域
layui.use(['layer'], function(){
    layer = layui.layer;
});
$(function () {

    init();

    function init() {

        $("#btn_find_pass").click(function () {
            //$("#cannot_find_pass").show();
        });

        $("#btn_login").click(function () {
            let email = $("#email").val();
            let pass = $("#pass").val();
            if (email.length==0)
            {
                layer.msg("邮箱不能为空");
                $("#email").focus();
                return;
            }

            if (!checkEmail(email))
            {
                layer.msg("邮箱格式错误");
                $("#email").focus();
                return;
            }

            if (pass.length==0)
            {
                layer.msg("密码不能为空");
                $("#pass").focus();
                return;
            }

            if (pass.length<6)
            {
                layer.msg("密码不能小于6位");
                $("#pass").focus();
                return;
            }

            $.ajax({
                //请求方式
                type : "POST",
                //请求地址
                url : Global.BaseUrl + "/home/Login/login",
                //数据，json字符串
                data : {
                    'email': email,
                    'pass': hex_md5(pass),
                },
                //请求成功
                success : function(result) {


                    if (result.status == 1)
                    {
                        layer.msg(result.message);

                        $("#email").val("");
                        $("#pass").val("");

                        window.location = Global.BaseUrl + "/home/Index/index";
                    }
                    else
                    {
                        layer.msg(result.message);
                    }
                },
                //请求失败，包含具体的错误信息
                error : function(e){
                    console.log(e.status);
                    console.log(e.responseText);
                    layer.msg("注册失败,请求异常");
                }
            });
        });
    }

})